Skip to main content
PUT
/
api
/
v2
/
apps
/
{app_id}
/
entitlements
/
{entitlement_id}
/
owners
Set
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppEntitlementOwnersV2.Set(ctx, operations.C1APIAppV2AppEntitlementOwnersSetRequest{
        AppID: "<id>",
        EntitlementID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.SetAppEntitlementOwnersV2Response != nil {
        // handle response
    }
}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

entitlement_id
string
required

The entitlementId field.

Body

application/json

SetAppEntitlementOwnersRequest is the request for setting the owners of an app entitlement for a given role.

appEntitlementRefs
App Entitlement Ref · object[] | null

The appEntitlementRefs field.

roleSlug
string | null

The roleSlug field.

userRefs
User Ref · object[] | null

The userRefs field.

Response

200 - application/json

SetAppEntitlementOwnersResponse is the empty response for setting app entitlement owners.

SetAppEntitlementOwnersResponse is the empty response for setting app entitlement owners.